#!/bin/bash
# MartiniB
#

# edit by your situation
#
DestDir=/media/hdd/log
DeleteAfterDays=10


[ "$1" ] && AddSTR=_"$1"

JournalDIR=$DestDir/journal

for CheckDir in $DestDir $JournalDIR; do
	[ -d $CheckDir ] || mkdir $CheckDir
	[ ! -d $CheckDir ] && echo "aborting $0, directory $CheckDir not found" && exit 1
done

NR=0
TimeStr=`date +%y%m%d_%H%M%S`
LogFile=$JournalDIR/"$TimeStr"_$NR$AddSTR.log
while [ -e $LogFile ]; do
	NR=$(($NR + 1))
	LogFile=$JournalDIR/"$TimeStr"_$NR$AddSTR.log
done

journalctl -x>$LogFile
unix2dos $LogFile

CleanTimestamp=$((`date +%s`-DeleteAfterDays*86400))

for oldFile in $JournalDIR/*; do
	[ `date -r $oldFile +%s` -le "$CleanTimestamp" ] && rm -f $oldFile
done

exit 0
